Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index
Class IndexStatus

    java.lang.Object
      org.crosswire.jsword.index.IndexStatus

All Implemented Interfaces:
  Serializable

    public final class IndexStatus

extends Object
implements Serializable

An Enumeration of the possible states of an index.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static IndexStatus` | `CREATING` An index is currently being generated for this Book
`static IndexStatus` | `DONE` There is a complete and ready to use search index
`private String` | `name` The name of the BookCategory
`private static int` | `nextObj`
`private int` | `obj`
`static IndexStatus` | `SCHEDULED` This Book has been scheduled for index creation
`private static long` | `serialVersionUID` Serialization ID
`static IndexStatus` | `UNDONE` There is no search index, and no plans to create one
`private static IndexStatus[]` | `VALUES` All the known values

Constructor Summary
`private` | `IndexStatus(String name)`

Method Summary
`static IndexStatus` | `fromInteger(int i)` Lookup method to convert from an integer
`static IndexStatus` | `fromString(String name)` Lookup method to convert from a String
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DONE

    public static final IndexStatus DONE

  There is a complete and ready to use search index

### UNDONE

    public static final IndexStatus UNDONE

  There is no search index, and no plans to create one

### SCHEDULED

    public static final IndexStatus SCHEDULED

  This Book has been scheduled for index creation

### CREATING

    public static final IndexStatus CREATING

  An index is currently being generated for this Book

### VALUES

    private static final IndexStatus[] VALUES

  All the known values

### name

    private String name

  The name of the BookCategory

### nextObj

    private static int nextObj

### obj

    private final int obj

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### IndexStatus

    private IndexStatus(String name)

Parameters:
  `name` - The name of the BookCategory

Method Detail

### fromString

    public static IndexStatus fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static IndexStatus fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD